Index: branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/ExpertSystemView.Designer.cs
===================================================================
--- branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/ExpertSystemView.Designer.cs	(revision 13713)
+++ branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/ExpertSystemView.Designer.cs	(revision 13718)
@@ -49,8 +49,9 @@
       System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
       System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series2 = new System.Windows.Forms.DataVisualization.Charting.Series();
       System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea2 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
       System.Windows.Forms.DataVisualization.Charting.Legend legend2 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      System.Windows.Forms.DataVisualization.Charting.Series series2 = new System.Windows.Forms.DataVisualization.Charting.Series();
       System.Windows.Forms.DataVisualization.Charting.Series series3 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series4 = new System.Windows.Forms.DataVisualization.Charting.Series();
       this.evaluationsLimitabel = new System.Windows.Forms.Label();
       this.maxEvaluationsTextBox = new System.Windows.Forms.TextBox();
@@ -64,21 +65,28 @@
       this.similarityComboBox = new System.Windows.Forms.ComboBox();
       this.solutionsTabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
-      this.solutionsSeedingTabPage = new System.Windows.Forms.TabPage();
       this.solutionsQualityTabPage = new System.Windows.Forms.TabPage();
       this.solutionsQualityViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.solutionsLengthScaleTabPage = new System.Windows.Forms.TabPage();
+      this.solutionsLengthScaleViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.solutionsDiversityTabPage = new System.Windows.Forms.TabPage();
       this.solutionsDiversityViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.solutionsFdcTabPage = new System.Windows.Forms.TabPage();
+      this.fdcBetweenBestCheckBox = new System.Windows.Forms.CheckBox();
       this.solutionsFdcViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.solutionsLengthScaleTabPage = new System.Windows.Forms.TabPage();
-      this.solutionsLengthScaleViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.solutionsNetworkTabPage = new System.Windows.Forms.TabPage();
       this.solutionsNetworkChart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
       this.solversTabPage = new System.Windows.Forms.TabPage();
-      this.solversSplitContainer = new System.Windows.Forms.SplitContainer();
+      this.seedingStrategyPanel = new System.Windows.Forms.Panel();
+      this.solverTabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
+      this.resultsTabPage = new System.Windows.Forms.TabPage();
+      this.solverResultsView = new HeuristicLab.Optimization.Views.ResultCollectionView();
+      this.solutionSeedingTabPage = new System.Windows.Forms.TabPage();
+      this.parametersTabPage = new System.Windows.Forms.TabPage();
       this.solverParametersView = new HeuristicLab.Core.Views.ParameterCollectionView();
-      this.solverResultsView = new HeuristicLab.Optimization.Views.ResultCollectionView();
+      this.operatorGraphTabPage = new System.Windows.Forms.TabPage();
+      this.operatorGraphViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.algorithmCloneButton = new System.Windows.Forms.Button();
       this.algorithmStartButton = new System.Windows.Forms.Button();
+      this.label1 = new System.Windows.Forms.Label();
       this.algorithmSuggestionLabel = new System.Windows.Forms.Label();
       this.suggestedInstancesComboBox = new System.Windows.Forms.ComboBox();
@@ -99,22 +107,19 @@
       this.okbDownloadButton = new System.Windows.Forms.Button();
       this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.solutionsSeedingTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
       this.problemTabPage.SuspendLayout();
       this.solutionsTabPage.SuspendLayout();
       this.solutionsTabControl.SuspendLayout();
-      this.solutionsSeedingTabPage.SuspendLayout();
       this.solutionsQualityTabPage.SuspendLayout();
+      this.solutionsLengthScaleTabPage.SuspendLayout();
       this.solutionsDiversityTabPage.SuspendLayout();
       this.solutionsFdcTabPage.SuspendLayout();
-      this.solutionsLengthScaleTabPage.SuspendLayout();
       this.solutionsNetworkTabPage.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.solutionsNetworkChart)).BeginInit();
       this.solversTabPage.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.solversSplitContainer)).BeginInit();
-      this.solversSplitContainer.Panel1.SuspendLayout();
-      this.solversSplitContainer.Panel2.SuspendLayout();
-      this.solversSplitContainer.SuspendLayout();
+      this.solverTabControl.SuspendLayout();
+      this.resultsTabPage.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.operatorGraphTabPage.SuspendLayout();
       this.runsTabPage.SuspendLayout();
       this.okbTabPage.SuspendLayout();
@@ -126,19 +131,8 @@
       this.SuspendLayout();
       // 
-      // nameTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(75, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(592, 20);
-      // 
-      // infoLabel
-      // 
-      this.infoLabel.Location = new System.Drawing.Point(673, 3);
-      // 
       // evaluationsLimitabel
       // 
       this.evaluationsLimitabel.AutoSize = true;
-      this.evaluationsLimitabel.Location = new System.Drawing.Point(3, 29);
+      this.evaluationsLimitabel.Location = new System.Drawing.Point(5, 9);
       this.evaluationsLimitabel.Name = "evaluationsLimitabel";
       this.evaluationsLimitabel.Size = new System.Drawing.Size(66, 13);
@@ -150,7 +144,7 @@
       this.maxEvaluationsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.maxEvaluationsTextBox.Location = new System.Drawing.Point(75, 26);
+      this.maxEvaluationsTextBox.Location = new System.Drawing.Point(110, 6);
       this.maxEvaluationsTextBox.Name = "maxEvaluationsTextBox";
-      this.maxEvaluationsTextBox.Size = new System.Drawing.Size(592, 20);
+      this.maxEvaluationsTextBox.Size = new System.Drawing.Size(564, 20);
       this.maxEvaluationsTextBox.TabIndex = 6;
       this.maxEvaluationsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.MaxEvaluationsTextBoxOnValidating);
@@ -168,8 +162,8 @@
       this.tabControl.Controls.Add(this.okbTabPage);
       this.tabControl.Controls.Add(this.problemInstancesTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 81);
+      this.tabControl.Location = new System.Drawing.Point(0, 32);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(689, 454);
+      this.tabControl.Size = new System.Drawing.Size(689, 503);
       this.tabControl.TabIndex = 17;
       // 
@@ -181,5 +175,5 @@
       this.problemTabPage.Name = "problemTabPage";
       this.problemTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.problemTabPage.Size = new System.Drawing.Size(681, 428);
+      this.problemTabPage.Size = new System.Drawing.Size(681, 477);
       this.problemTabPage.TabIndex = 1;
       this.problemTabPage.Text = "Problem";
@@ -195,5 +189,5 @@
       this.problemViewHost.Name = "problemViewHost";
       this.problemViewHost.ReadOnly = false;
-      this.problemViewHost.Size = new System.Drawing.Size(675, 422);
+      this.problemViewHost.Size = new System.Drawing.Size(675, 471);
       this.problemViewHost.TabIndex = 2;
       this.problemViewHost.ViewsLabelVisible = false;
@@ -210,5 +204,5 @@
       this.solutionsTabPage.Name = "solutionsTabPage";
       this.solutionsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsTabPage.Size = new System.Drawing.Size(681, 428);
+      this.solutionsTabPage.Size = new System.Drawing.Size(681, 477);
       this.solutionsTabPage.TabIndex = 7;
       this.solutionsTabPage.Text = "Solutions";
@@ -261,26 +255,14 @@
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.solutionsTabControl.Controls.Add(this.solutionsSeedingTabPage);
       this.solutionsTabControl.Controls.Add(this.solutionsQualityTabPage);
+      this.solutionsTabControl.Controls.Add(this.solutionsLengthScaleTabPage);
       this.solutionsTabControl.Controls.Add(this.solutionsDiversityTabPage);
       this.solutionsTabControl.Controls.Add(this.solutionsFdcTabPage);
-      this.solutionsTabControl.Controls.Add(this.solutionsLengthScaleTabPage);
       this.solutionsTabControl.Controls.Add(this.solutionsNetworkTabPage);
       this.solutionsTabControl.Location = new System.Drawing.Point(3, 33);
       this.solutionsTabControl.Name = "solutionsTabControl";
       this.solutionsTabControl.SelectedIndex = 0;
-      this.solutionsTabControl.Size = new System.Drawing.Size(675, 392);
+      this.solutionsTabControl.Size = new System.Drawing.Size(675, 441);
       this.solutionsTabControl.TabIndex = 0;
-      // 
-      // solutionsSeedingTabPage
-      // 
-      this.solutionsSeedingTabPage.Controls.Add(this.solutionsSeedingTableLayoutPanel);
-      this.solutionsSeedingTabPage.Location = new System.Drawing.Point(4, 22);
-      this.solutionsSeedingTabPage.Name = "solutionsSeedingTabPage";
-      this.solutionsSeedingTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsSeedingTabPage.Size = new System.Drawing.Size(667, 366);
-      this.solutionsSeedingTabPage.TabIndex = 6;
-      this.solutionsSeedingTabPage.Text = "Seeding";
-      this.solutionsSeedingTabPage.UseVisualStyleBackColor = true;
       // 
       // solutionsQualityTabPage
@@ -290,5 +272,5 @@
       this.solutionsQualityTabPage.Name = "solutionsQualityTabPage";
       this.solutionsQualityTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsQualityTabPage.Size = new System.Drawing.Size(667, 366);
+      this.solutionsQualityTabPage.Size = new System.Drawing.Size(667, 415);
       this.solutionsQualityTabPage.TabIndex = 1;
       this.solutionsQualityTabPage.Text = "Quality Analysis";
@@ -304,8 +286,33 @@
       this.solutionsQualityViewHost.Name = "solutionsQualityViewHost";
       this.solutionsQualityViewHost.ReadOnly = false;
-      this.solutionsQualityViewHost.Size = new System.Drawing.Size(661, 360);
+      this.solutionsQualityViewHost.Size = new System.Drawing.Size(661, 409);
       this.solutionsQualityViewHost.TabIndex = 0;
       this.solutionsQualityViewHost.ViewsLabelVisible = true;
       this.solutionsQualityViewHost.ViewType = null;
+      // 
+      // solutionsLengthScaleTabPage
+      // 
+      this.solutionsLengthScaleTabPage.Controls.Add(this.solutionsLengthScaleViewHost);
+      this.solutionsLengthScaleTabPage.Location = new System.Drawing.Point(4, 22);
+      this.solutionsLengthScaleTabPage.Name = "solutionsLengthScaleTabPage";
+      this.solutionsLengthScaleTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.solutionsLengthScaleTabPage.Size = new System.Drawing.Size(667, 415);
+      this.solutionsLengthScaleTabPage.TabIndex = 3;
+      this.solutionsLengthScaleTabPage.Text = "Length-Scale Analysis";
+      this.solutionsLengthScaleTabPage.UseVisualStyleBackColor = true;
+      // 
+      // solutionsLengthScaleViewHost
+      // 
+      this.solutionsLengthScaleViewHost.Caption = "View";
+      this.solutionsLengthScaleViewHost.Content = null;
+      this.solutionsLengthScaleViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.solutionsLengthScaleViewHost.Enabled = false;
+      this.solutionsLengthScaleViewHost.Location = new System.Drawing.Point(3, 3);
+      this.solutionsLengthScaleViewHost.Name = "solutionsLengthScaleViewHost";
+      this.solutionsLengthScaleViewHost.ReadOnly = false;
+      this.solutionsLengthScaleViewHost.Size = new System.Drawing.Size(661, 409);
+      this.solutionsLengthScaleViewHost.TabIndex = 0;
+      this.solutionsLengthScaleViewHost.ViewsLabelVisible = true;
+      this.solutionsLengthScaleViewHost.ViewType = null;
       // 
       // solutionsDiversityTabPage
@@ -315,5 +322,5 @@
       this.solutionsDiversityTabPage.Name = "solutionsDiversityTabPage";
       this.solutionsDiversityTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsDiversityTabPage.Size = new System.Drawing.Size(667, 366);
+      this.solutionsDiversityTabPage.Size = new System.Drawing.Size(667, 415);
       this.solutionsDiversityTabPage.TabIndex = 2;
       this.solutionsDiversityTabPage.Text = "Diversity Analysis";
@@ -329,5 +336,5 @@
       this.solutionsDiversityViewHost.Name = "solutionsDiversityViewHost";
       this.solutionsDiversityViewHost.ReadOnly = false;
-      this.solutionsDiversityViewHost.Size = new System.Drawing.Size(661, 360);
+      this.solutionsDiversityViewHost.Size = new System.Drawing.Size(661, 409);
       this.solutionsDiversityViewHost.TabIndex = 1;
       this.solutionsDiversityViewHost.ViewsLabelVisible = true;
@@ -336,51 +343,40 @@
       // solutionsFdcTabPage
       // 
+      this.solutionsFdcTabPage.Controls.Add(this.fdcBetweenBestCheckBox);
       this.solutionsFdcTabPage.Controls.Add(this.solutionsFdcViewHost);
       this.solutionsFdcTabPage.Location = new System.Drawing.Point(4, 22);
       this.solutionsFdcTabPage.Name = "solutionsFdcTabPage";
       this.solutionsFdcTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsFdcTabPage.Size = new System.Drawing.Size(667, 366);
+      this.solutionsFdcTabPage.Size = new System.Drawing.Size(667, 415);
       this.solutionsFdcTabPage.TabIndex = 5;
       this.solutionsFdcTabPage.Text = "Fitness-Distance Analysis";
       this.solutionsFdcTabPage.UseVisualStyleBackColor = true;
       // 
+      // fdcBetweenBestCheckBox
+      // 
+      this.fdcBetweenBestCheckBox.AutoSize = true;
+      this.fdcBetweenBestCheckBox.Location = new System.Drawing.Point(6, 6);
+      this.fdcBetweenBestCheckBox.Name = "fdcBetweenBestCheckBox";
+      this.fdcBetweenBestCheckBox.Size = new System.Drawing.Size(233, 17);
+      this.fdcBetweenBestCheckBox.TabIndex = 2;
+      this.fdcBetweenBestCheckBox.Text = "Calculate FDC between best solution(s) only";
+      this.fdcBetweenBestCheckBox.UseVisualStyleBackColor = true;
+      this.fdcBetweenBestCheckBox.CheckedChanged += new System.EventHandler(this.FdcBetweenBestCheckBoxOnCheckedChanged);
+      // 
       // solutionsFdcViewHost
       // 
+      this.solutionsFdcViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.solutionsFdcViewHost.Caption = "View";
       this.solutionsFdcViewHost.Content = null;
-      this.solutionsFdcViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.solutionsFdcViewHost.Enabled = false;
-      this.solutionsFdcViewHost.Location = new System.Drawing.Point(3, 3);
+      this.solutionsFdcViewHost.Location = new System.Drawing.Point(3, 29);
       this.solutionsFdcViewHost.Name = "solutionsFdcViewHost";
       this.solutionsFdcViewHost.ReadOnly = false;
-      this.solutionsFdcViewHost.Size = new System.Drawing.Size(661, 360);
+      this.solutionsFdcViewHost.Size = new System.Drawing.Size(661, 386);
       this.solutionsFdcViewHost.TabIndex = 0;
       this.solutionsFdcViewHost.ViewsLabelVisible = true;
       this.solutionsFdcViewHost.ViewType = null;
-      // 
-      // solutionsLengthScaleTabPage
-      // 
-      this.solutionsLengthScaleTabPage.Controls.Add(this.solutionsLengthScaleViewHost);
-      this.solutionsLengthScaleTabPage.Location = new System.Drawing.Point(4, 22);
-      this.solutionsLengthScaleTabPage.Name = "solutionsLengthScaleTabPage";
-      this.solutionsLengthScaleTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsLengthScaleTabPage.Size = new System.Drawing.Size(667, 366);
-      this.solutionsLengthScaleTabPage.TabIndex = 3;
-      this.solutionsLengthScaleTabPage.Text = "Length-Scale Analysis";
-      this.solutionsLengthScaleTabPage.UseVisualStyleBackColor = true;
-      // 
-      // solutionsLengthScaleViewHost
-      // 
-      this.solutionsLengthScaleViewHost.Caption = "View";
-      this.solutionsLengthScaleViewHost.Content = null;
-      this.solutionsLengthScaleViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.solutionsLengthScaleViewHost.Enabled = false;
-      this.solutionsLengthScaleViewHost.Location = new System.Drawing.Point(3, 3);
-      this.solutionsLengthScaleViewHost.Name = "solutionsLengthScaleViewHost";
-      this.solutionsLengthScaleViewHost.ReadOnly = false;
-      this.solutionsLengthScaleViewHost.Size = new System.Drawing.Size(661, 360);
-      this.solutionsLengthScaleViewHost.TabIndex = 0;
-      this.solutionsLengthScaleViewHost.ViewsLabelVisible = true;
-      this.solutionsLengthScaleViewHost.ViewType = null;
       // 
       // solutionsNetworkTabPage
@@ -390,5 +386,5 @@
       this.solutionsNetworkTabPage.Name = "solutionsNetworkTabPage";
       this.solutionsNetworkTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionsNetworkTabPage.Size = new System.Drawing.Size(667, 366);
+      this.solutionsNetworkTabPage.Size = new System.Drawing.Size(667, 415);
       this.solutionsNetworkTabPage.TabIndex = 4;
       this.solutionsNetworkTabPage.Text = "Network Analysis";
@@ -423,43 +419,106 @@
       series1.Name = "SolutionSeries";
       series1.YValuesPerPoint = 2;
+      series2.ChartArea = "SolutionsNetworkChartArea";
+      series2.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Bubble;
+      series2.IsValueShownAsLabel = true;
+      series2.Label = "#LABEL";
+      series2.Legend = "Legend1";
+      series2.MarkerStyle = System.Windows.Forms.DataVisualization.Charting.MarkerStyle.Cross;
+      series2.Name = "SeedingSolutionSeries";
+      series2.YValuesPerPoint = 2;
       this.solutionsNetworkChart.Series.Add(series1);
-      this.solutionsNetworkChart.Size = new System.Drawing.Size(661, 360);
+      this.solutionsNetworkChart.Series.Add(series2);
+      this.solutionsNetworkChart.Size = new System.Drawing.Size(661, 409);
       this.solutionsNetworkChart.TabIndex = 0;
       this.solutionsNetworkChart.Text = "enhancedChart1";
+      this.solutionsNetworkChart.MouseClick += new System.Windows.Forms.MouseEventHandler(this.SolutionsNetworkChartOnMouseClick);
       // 
       // solversTabPage
       // 
-      this.solversTabPage.Controls.Add(this.solversSplitContainer);
+      this.solversTabPage.Controls.Add(this.seedingStrategyPanel);
+      this.solversTabPage.Controls.Add(this.solverTabControl);
       this.solversTabPage.Controls.Add(this.algorithmCloneButton);
       this.solversTabPage.Controls.Add(this.algorithmStartButton);
+      this.solversTabPage.Controls.Add(this.label1);
+      this.solversTabPage.Controls.Add(this.evaluationsLimitabel);
       this.solversTabPage.Controls.Add(this.algorithmSuggestionLabel);
+      this.solversTabPage.Controls.Add(this.maxEvaluationsTextBox);
       this.solversTabPage.Controls.Add(this.suggestedInstancesComboBox);
       this.solversTabPage.Location = new System.Drawing.Point(4, 22);
       this.solversTabPage.Name = "solversTabPage";
       this.solversTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solversTabPage.Size = new System.Drawing.Size(681, 428);
+      this.solversTabPage.Size = new System.Drawing.Size(681, 477);
       this.solversTabPage.TabIndex = 4;
       this.solversTabPage.Text = "Solvers";
       this.solversTabPage.UseVisualStyleBackColor = true;
       // 
-      // solversSplitContainer
-      // 
-      this.solversSplitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+      // seedingStrategyPanel
+      // 
+      this.seedingStrategyPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.seedingStrategyPanel.Location = new System.Drawing.Point(110, 32);
+      this.seedingStrategyPanel.Name = "seedingStrategyPanel";
+      this.seedingStrategyPanel.Size = new System.Drawing.Size(564, 21);
+      this.seedingStrategyPanel.TabIndex = 5;
+      // 
+      // solverTabControl
+      // 
+      this.solverTabControl.AllowDrop = true;
+      this.solverTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.solversSplitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
-      this.solversSplitContainer.Location = new System.Drawing.Point(3, 33);
-      this.solversSplitContainer.Name = "solversSplitContainer";
-      // 
-      // solversSplitContainer.Panel1
-      // 
-      this.solversSplitContainer.Panel1.Controls.Add(this.solverParametersView);
-      // 
-      // solversSplitContainer.Panel2
-      // 
-      this.solversSplitContainer.Panel2.Controls.Add(this.solverResultsView);
-      this.solversSplitContainer.Size = new System.Drawing.Size(675, 392);
-      this.solversSplitContainer.SplitterDistance = 300;
-      this.solversSplitContainer.TabIndex = 4;
+      this.solverTabControl.Controls.Add(this.resultsTabPage);
+      this.solverTabControl.Controls.Add(this.solutionSeedingTabPage);
+      this.solverTabControl.Controls.Add(this.parametersTabPage);
+      this.solverTabControl.Controls.Add(this.operatorGraphTabPage);
+      this.solverTabControl.Location = new System.Drawing.Point(2, 87);
+      this.solverTabControl.Name = "solverTabControl";
+      this.solverTabControl.SelectedIndex = 0;
+      this.solverTabControl.Size = new System.Drawing.Size(676, 387);
+      this.solverTabControl.TabIndex = 4;
+      // 
+      // resultsTabPage
+      // 
+      this.resultsTabPage.Controls.Add(this.solverResultsView);
+      this.resultsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.resultsTabPage.Name = "resultsTabPage";
+      this.resultsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.resultsTabPage.Size = new System.Drawing.Size(668, 361);
+      this.resultsTabPage.TabIndex = 2;
+      this.resultsTabPage.Text = "Results";
+      this.resultsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // solverResultsView
+      // 
+      this.solverResultsView.Caption = "ResultCollection View";
+      this.solverResultsView.Content = null;
+      this.solverResultsView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.solverResultsView.Location = new System.Drawing.Point(3, 3);
+      this.solverResultsView.Name = "solverResultsView";
+      this.solverResultsView.ReadOnly = true;
+      this.solverResultsView.ShowDetails = true;
+      this.solverResultsView.Size = new System.Drawing.Size(662, 355);
+      this.solverResultsView.TabIndex = 1;
+      // 
+      // solutionSeedingTabPage
+      // 
+      this.solutionSeedingTabPage.Location = new System.Drawing.Point(4, 22);
+      this.solutionSeedingTabPage.Name = "solutionSeedingTabPage";
+      this.solutionSeedingTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.solutionSeedingTabPage.Size = new System.Drawing.Size(668, 361);
+      this.solutionSeedingTabPage.TabIndex = 1;
+      this.solutionSeedingTabPage.Text = "Seeding Pool";
+      this.solutionSeedingTabPage.UseVisualStyleBackColor = true;
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Controls.Add(this.solverParametersView);
+      this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
+      this.parametersTabPage.Name = "parametersTabPage";
+      this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.parametersTabPage.Size = new System.Drawing.Size(668, 361);
+      this.parametersTabPage.TabIndex = 0;
+      this.parametersTabPage.Text = "Parameters";
+      this.parametersTabPage.UseVisualStyleBackColor = true;
       // 
       // solverParametersView
@@ -469,27 +528,40 @@
       this.solverParametersView.Content = null;
       this.solverParametersView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.solverParametersView.Location = new System.Drawing.Point(0, 0);
+      this.solverParametersView.Location = new System.Drawing.Point(3, 3);
       this.solverParametersView.Name = "solverParametersView";
       this.solverParametersView.ReadOnly = true;
-      this.solverParametersView.ShowDetails = false;
-      this.solverParametersView.Size = new System.Drawing.Size(300, 392);
+      this.solverParametersView.ShowDetails = true;
+      this.solverParametersView.Size = new System.Drawing.Size(662, 355);
       this.solverParametersView.TabIndex = 0;
       // 
-      // solverResultsView
-      // 
-      this.solverResultsView.Caption = "ResultCollection View";
-      this.solverResultsView.Content = null;
-      this.solverResultsView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.solverResultsView.Location = new System.Drawing.Point(0, 0);
-      this.solverResultsView.Name = "solverResultsView";
-      this.solverResultsView.ReadOnly = true;
-      this.solverResultsView.ShowDetails = true;
-      this.solverResultsView.Size = new System.Drawing.Size(371, 392);
-      this.solverResultsView.TabIndex = 0;
+      // operatorGraphTabPage
+      // 
+      this.operatorGraphTabPage.Controls.Add(this.operatorGraphViewHost);
+      this.operatorGraphTabPage.Location = new System.Drawing.Point(4, 22);
+      this.operatorGraphTabPage.Name = "operatorGraphTabPage";
+      this.operatorGraphTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.operatorGraphTabPage.Size = new System.Drawing.Size(668, 361);
+      this.operatorGraphTabPage.TabIndex = 3;
+      this.operatorGraphTabPage.Text = "Operator Graph";
+      this.operatorGraphTabPage.UseVisualStyleBackColor = true;
+      // 
+      // operatorGraphViewHost
+      // 
+      this.operatorGraphViewHost.Caption = "View";
+      this.operatorGraphViewHost.Content = null;
+      this.operatorGraphViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.operatorGraphViewHost.Enabled = false;
+      this.operatorGraphViewHost.Location = new System.Drawing.Point(3, 3);
+      this.operatorGraphViewHost.Name = "operatorGraphViewHost";
+      this.operatorGraphViewHost.ReadOnly = true;
+      this.operatorGraphViewHost.Size = new System.Drawing.Size(662, 355);
+      this.operatorGraphViewHost.TabIndex = 0;
+      this.operatorGraphViewHost.ViewsLabelVisible = true;
+      this.operatorGraphViewHost.ViewType = null;
       // 
       // algorithmCloneButton
       // 
       this.algorithmCloneButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.algorithmCloneButton.Location = new System.Drawing.Point(649, 5);
+      this.algorithmCloneButton.Location = new System.Drawing.Point(648, 58);
       this.algorithmCloneButton.Name = "algorithmCloneButton";
       this.algorithmCloneButton.Size = new System.Drawing.Size(26, 23);
@@ -502,5 +574,5 @@
       // 
       this.algorithmStartButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.algorithmStartButton.Location = new System.Drawing.Point(617, 5);
+      this.algorithmStartButton.Location = new System.Drawing.Point(616, 58);
       this.algorithmStartButton.Name = "algorithmStartButton";
       this.algorithmStartButton.Size = new System.Drawing.Size(26, 23);
@@ -510,8 +582,17 @@
       this.algorithmStartButton.Click += new System.EventHandler(this.AlgorithmStartButtonOnClick);
       // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(5, 36);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(91, 13);
+      this.label1.TabIndex = 1;
+      this.label1.Text = "Seeding Strategy:";
+      // 
       // algorithmSuggestionLabel
       // 
       this.algorithmSuggestionLabel.AutoSize = true;
-      this.algorithmSuggestionLabel.Location = new System.Drawing.Point(6, 9);
+      this.algorithmSuggestionLabel.Location = new System.Drawing.Point(5, 62);
       this.algorithmSuggestionLabel.Name = "algorithmSuggestionLabel";
       this.algorithmSuggestionLabel.Size = new System.Drawing.Size(99, 13);
@@ -525,5 +606,5 @@
       this.suggestedInstancesComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.suggestedInstancesComboBox.FormattingEnabled = true;
-      this.suggestedInstancesComboBox.Location = new System.Drawing.Point(111, 6);
+      this.suggestedInstancesComboBox.Location = new System.Drawing.Point(110, 59);
       this.suggestedInstancesComboBox.Name = "suggestedInstancesComboBox";
       this.suggestedInstancesComboBox.Size = new System.Drawing.Size(500, 21);
@@ -537,5 +618,5 @@
       this.runsTabPage.Name = "runsTabPage";
       this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.runsTabPage.Size = new System.Drawing.Size(681, 428);
+      this.runsTabPage.Size = new System.Drawing.Size(681, 477);
       this.runsTabPage.TabIndex = 3;
       this.runsTabPage.Text = "Runs";
@@ -550,5 +631,5 @@
       this.runsView.Name = "runsView";
       this.runsView.ReadOnly = false;
-      this.runsView.Size = new System.Drawing.Size(675, 422);
+      this.runsView.Size = new System.Drawing.Size(675, 471);
       this.runsView.TabIndex = 1;
       // 
@@ -559,5 +640,5 @@
       this.okbTabPage.Name = "okbTabPage";
       this.okbTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.okbTabPage.Size = new System.Drawing.Size(681, 428);
+      this.okbTabPage.Size = new System.Drawing.Size(681, 477);
       this.okbTabPage.TabIndex = 5;
       this.okbTabPage.Text = "Knowledge Base";
@@ -573,5 +654,5 @@
       this.kbViewHost.Name = "kbViewHost";
       this.kbViewHost.ReadOnly = true;
-      this.kbViewHost.Size = new System.Drawing.Size(675, 422);
+      this.kbViewHost.Size = new System.Drawing.Size(675, 471);
       this.kbViewHost.TabIndex = 3;
       this.kbViewHost.ViewsLabelVisible = true;
